# Créé par pjacq, le 06/03/2022 en Python 3.7
import time, pygame
from pygame.locals import *

#initialisation de la vitesse de déplacement de la balle
vitesse = [5, 5]

#initialisation de la vitesse de déplacement de la barre
vbarre = 5

# création d'une couleur (en RVB)
couleur_fond = 50, 50, 50

# initialisation des dimensions de la fenêtre pygame
dimension = largeur, hauteur = 800, 500

# ---------------- PYGAME -------------------
pygame.init()
# Création de la fenêtre
fenetre = pygame.display.set_mode(dimension)

# Création d'une surface pygame qui contiendra la balle
balle = pygame.image.load("Tennis-Ball.png")
balle2 = pygame.image.load("Tennis-Ball2.png") #balle explosée

# Création d'un rectangle contenant la surface balle
ballerect = balle.get_rect()

# Initialisation des caractéristiques de la barre
dimbar= 150,20 # dimensions
colbar = 255,0,0 #couleur
# placement de la barre au centre et en bas d'écran
coordbar = [largeur//2-dimbar[1]//2 ,hauteur-dimbar[1]]

continuer = True
while continuer:

    # Déplacement de ballerect
    ballerect = ballerect.move(vitesse)
    if ballerect.left < 0 or ballerect.right > largeur:
        vitesse[0] = -vitesse[0]
    if ballerect.top < 0:
        vitesse[1] = -vitesse[1]
    if ballerect.bottom > hauteur - dimbar[1]:
        if ballerect.right > coordbar[0] and ballerect.left < coordbar[0]+dimbar[0]:
            vitesse[1] = -vitesse[1]
        else:
            continuer = False

    # La boucle while s'arrête si la touche escape a été pressée
    for event in pygame.event.get():
        if event.type == KEYDOWN :
            if event.key == K_ESCAPE:
                continuer = False

    # On efface toute la fenêtre avec la couleur de fond
    fenetre.fill(couleur_fond)

    # On place la surface balle ou balle2 à l'emplacement de ballerect
    if not continuer:
        fenetre.blit(balle2, ballerect)
    else:
        fenetre.blit(balle, ballerect)
    barre = pygame.draw.rect(fenetre, colbar, pygame.Rect(coordbar[0], coordbar[1], dimbar[0], dimbar[1]))
    # Temporisation (en seconde)
    time.sleep(0.01)

    # Mise à jour de l'affichage
    pygame.display.update()
    if not continuer:
        time.sleep(0.5)

pygame.quit()